
local texture_atlas
local backdrop
local player

local texture_regions = {
  {  0, 128, 128, 128}, -- BACKDROP
  {  0,   0,  64,  64}, -- PLAYER
}

local function getRegion(region)
  local r = texture_regions[region]
  return TextureRegion.new(texture_atlas, r[1], r[2], r[3], r[4])
end

local function loadAtlas()
  texture_atlas = RenderTarget.new(256, 256)
  texture_atlas:draw(Bitmap.new(Texture.new("atlas.png")))
end

local function loadBackdrop(number)
  texture_atlas:clear(0x000044, 1, 0, 128, 128, 128) -- CLEAR ONLY THE SPECIFIC REGION OF THE ATLAS
  local bitmap = Bitmap.new(Texture.new("backdrop"..number..".png"))
  bitmap:setPosition(0, 128)
  texture_atlas:draw(bitmap)
end

loadAtlas()
loadBackdrop(1)

player = Bitmap.new(getRegion(2))
backdrop = Bitmap.new(getRegion(1))

stage:addChild(backdrop)
stage:addChild(player)
